curl --request GET \
--url https://api.app.fleetit.com/v2/integrations/logs/ \
--header 'Authorization: Bearer <token>'{
"count": 1,
"next": "http://api.app.fleetit.com/v2/integrations/logs/?integration=123&limit=10&offset=10",
"previous": null,
"results": [
{
"id": 123456,
"integration": 49,
"timestamp": "2024-05-05T21:09:01.685651-04:00",
"direction": "Receiving",
"success": true,
"response": {
"message": "Success",
"vehicles_updated": 2,
"new_vehicles_added": 0,
"unable_to_find_states": 0,
"total_vehicles_fetched": 6178,
"belongs_to_different_fleet": 6176
},
"details": {
"payload": null,
"error": null
},
"entity_type": "Vehicle",
"entity_id": null
}
]
}curl --request GET \
--url https://api.app.fleetit.com/v2/integrations/logs/ \
--header 'Authorization: Bearer <token>'{
"count": 1,
"next": "http://api.app.fleetit.com/v2/integrations/logs/?integration=123&limit=10&offset=10",
"previous": null,
"results": [
{
"id": 123456,
"integration": 49,
"timestamp": "2024-05-05T21:09:01.685651-04:00",
"direction": "Receiving",
"success": true,
"response": {
"message": "Success",
"vehicles_updated": 2,
"new_vehicles_added": 0,
"unable_to_find_states": 0,
"total_vehicles_fetched": 6178,
"belongs_to_different_fleet": 6176
},
"details": {
"payload": null,
"error": null
},
"entity_type": "Vehicle",
"entity_id": null
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of the integration to filter
Boolean
Where Choices Includes (1, Ticket), (2, Parking), (3, Violation), (4, Vehicle), (5, Transponder), (6, Authentication)
Boolean
Date in YYYY-MM-DD format
Date in YYYY-MM-DD format
ID of the Entity you want to search for. e.g Ticket ID, Parking ID.
Successful response
Was this page helpful?